# 计算表达式参考手册

## 支持的常数
* pi
* π
* e
* φ

## 支持的运算符

* 加法运算: 2 + 2
* 减法运算: 2 - 2
* 乘法运算: 2 * 2
* 除法运算: 2 / 2
* 次幂运算: 2 ^ 2
* 正负符号: +2, -2
* 取模运算: 2 % 2

## 支持的函数

* abs: 绝对值
* acos: 反余弦
* asin: 反正弦
* atan: 反正切
* cbrt: 立方根
* ceil: 向上取整
* cos: 余弦
* cosh: 双曲余弦
* exp: 指数次幂，即e的x次幂 (e^x)
* floor: 向下取整
* log: 取e为底的对数
* log10: 取10为底的对数
* log2: 取2为底的对数
* sin: 正弦
* sinh: 双曲正弦
* sqrt: 平方根
* tan: 正切
* tanh: 双曲正切
* signum: 取符号运算，大于0时为1，小于0时为-1，等于0时为0

```
以下式子表示取-10的绝对值

value = abs(-10)
```

## 拓展的运算符

布尔运算，如果为真则为1，否则为0，与加法乘法配合使用可实现离散函数的效果
* ==
* !=
* &gt;=
* &lt;=
* &gt;
* &lt;

布尔运算的优先级很低，使用时最好加上括号

```
以下的表达式实现了一个离散函数
x > 15 时为 15
x < -3 时为 -3
其余情况为 x 本身

v1 = (x > 15) * 15
v2 = (x < -3) * (-3)
v3 = ((x <= 15) * (x >= -3)) * x
value = v1 + v2 + v3
```
